Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkbenchActionConstants

All Known Subinterfaces:
  ITextEditorActionConstants

public interface IWorkbenchActionConstants

Action ids for standard actions, groups in the workbench menu bar, and global actions.

This interface contains constants only; it is not intended to be implemented or extended.

### Standard menus

- File menu (`M_FILE`)
- Edit menu (`M_EDIT`)
- Window menu (`M_WINDOW`)
- Help menu (`M_HELP`)

### Standard group for adding top level menus

- Extra top level menu group (`MB_ADDITIONS`)

### Global actions

- Undo (`UNDO`)
- Redo (`REDO`)
- Cut (`CUT`)
- Copy (`COPY`)
- Paste (`PASTE`)
- Delete (`DELETE`)
- Find (`FIND`)
- Select All (`SELECT_ALL`)
- Add Bookmark (`BOOKMARK`)

### Standard File menu actions

- Start group (`FILE_START`)
- End group (`FILE_END`)
- New action (`NEW`)
- Extra New-like action group (`NEW_EXT`)
- Close action (`CLOSE`)
- Close All action (`CLOSE_ALL`)
- Extra Close-like action group (`CLOSE_EXT`)
- Save action (`SAVE`)
- Save As action (`SAVE_AS`)
- Save All action (`SAVE_ALL`)
- Extra Save-like action group (`SAVE_EXT`)
- Import action (`IMPORT`)
- Export action (`EXPORT`)
- Extra Import-like action group (`IMPORT_EXT`)
- Quit action (`QUIT`)

### Standard Edit menu actions

- Start group (`EDIT_START`)
- End group (`EDIT_END`)
- Undo global action (`UNDO`)
- Redo global action (`REDO`)
- Extra Undo-like action group (`UNDO_EXT`)
- Cut global action (`CUT`)
- Copy global action (`COPY`)
- Paste global action (`PASTE`)
- Extra Cut-like action group (`CUT_EXT`)
- Delete global action (`DELETE`)
- Find global action (`FIND`)
- Select All global action (`SELECT_ALL`)
- Bookmark global action (`BOOKMARK`)

### Standard Perspective menu actions

- Extra Perspective-like action group (`VIEW_EXT`)

### Standard Workbench menu actions

- Start group (`WB_START`)
- End group (`WB_END`)
- Extra Build-like action group (`BUILD_EXT`)
- Build action (`BUILD`)
- Rebuild All action (`REBUILD_ALL`)

### Standard Window menu actions

- Extra Window-like action group (`WINDOW_EXT`)

### Standard Help menu actions

- Start group (`HELP_START`)
- End group (`HELP_END`)
- About action (`ABOUT`)

### Standard pop-up menu groups

- Managing group (`GROUP_MANAGING`)
- Reorganize group (`GROUP_REORGANIZE`)
- Add group (`GROUP_ADD`)
- File group (`GROUP_FILE`)

To hook a global action handler, a view should use the following code: `IAction copyHandler = ...; view.getSite().getActionBars().setGlobalActionHandler( IWorkbenchActionConstants.COPY, copyHandler);` For editors, this should be done in the `IEditorActionBarContributor`.

See Also:
  `Note: many of the remaining non-deprecated constants here are IDE-specific and should be deprecated and moved to a constant pool at the IDE layer (e.g. IIDEActionConstants).`

Field Summary
`static String` | `ABOUT` Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.ABOUT.getId()` instead.
`static String` | `ADD_EXT` Edit menu: name of group for extra Add-like actions (value `"add.ext"`).
`static String` | `ADD_TASK` Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.ADD_TASK.getId()` instead.
`static String` | `BACK` Deprecated. in 3.0. Use `ActionFactory.BACK.getId()` instead.
`static String` | `BOOKMARK` Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.BOOKMARK.getId()` instead.
`static String` | `BUILD` Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.BUILD.getId()` instead.
`static String` | `BUILD_EXT` Workbench menu: name of group for extra Build-like actions (value `"build.ext"`).
`static String` | `BUILD_GROUP`
`static String` | `BUILD_PROJECT` Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.BUILD_PROJECT.getId()` instead.
`static String` | `CLOSE` Deprecated. in 3.0. Use `ActionFactory.CLOSE.getId()` instead.
`static String` | `CLOSE_ALL` Deprecated. in 3.0. Use `ActionFactory.CLOSE_ALL.getId()` instead.
`static String` | `CLOSE_EXT` File menu: name of group for extra Close-like actions (value `"close.ext"`).
`static String` | `CLOSE_PROJECT` Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.CLOSE_PROJECT.getId()` instead.
`static String` | `COPY` Deprecated. in 3.0. Use `ActionFactory.COPY.getId()` instead.
`static String` | `CUT` Deprecated. in 3.0. Use `ActionFactory.CUT.getId()` instead.
`static String` | `CUT_EXT` Edit menu: name of group for extra Cut-like actions (value `"cut.ext"`).
`static String` | `DELETE` Deprecated. in 3.0. Use `ActionFactory.DELETE.getId()` instead.
`static String` | `EDIT_END` Edit menu: name of group for end of menu (value `"editEnd"`).
`static String` | `EDIT_START` Edit menu: name of group for start of menu (value `"editStart"`).
`static String` | `EXPORT` Deprecated. in 3.0. Use `org.eclipse.ui.ActionFactory.EXPORT.getId()` instead.
`static String` | `FILE_END` File menu: name of group for end of menu (value `"fileEnd"`).
`static String` | `FILE_START` File menu: name of group for start of menu (value `"fileStart"`).
`static String` | `FIND` Deprecated. in 3.0. Use `ActionFactory.FIND.getId()` instead.
`static String` | `FIND_EXT` Edit menu: name of group for extra Find-like actions (value `"find.ext"`).
`static String` | `FORWARD` Deprecated. in 3.0. Use `ActionFactory.FORWARD.getId()` instead.
`static String[]` | `GLOBAL_ACTIONS` Deprecated. in 3.0
`static String` | `GO_INTO` Navigate menu: name of standard Go Into global action (value `"goInto"`).
`static String` | `GO_TO` Navigate menu: name of standard Go To submenu (value `"goTo"`).
`static String` | `GO_TO_RESOURCE` Navigate menu: name of standard Go To Resource global action (value `"goToResource"`).
`static String` | `GROUP_ADD` Pop-up menu: name of group for Add actions (value `"group.add"`).
`static String` | `GROUP_APP` Coolbar: name of group for application created actions
`static String` | `GROUP_EDITOR` Toolbar: name of group for editor action bars.
`static String` | `GROUP_FILE` Pop-up menu: name of group for File actions (value `"group.file"`).
`static String` | `GROUP_MANAGING` Pop-up menu: name of group for Managing actions (value `"group.managing"`).
`static String` | `GROUP_REORGANIZE` Pop-up menu: name of group for Reorganize actions (value `"group.reorganize"`).
`static String` | `GROUP_SHOW_IN` Pop-up menu: name of group for Show In actions (value `"group.showIn"`).
`static String` | `HELP_END` Help menu: name of group for end of menu (value `"helpEnd"`).
`static String` | `HELP_START` Help menu: name of group for start of menu (value `"helpStart"`).
`static String` | `HISTORY_GROUP`
`static String` | `IMPORT` Deprecated. in 3.0. Use `org.eclipse.ui.ActionFactory.IMPORT.getId()` instead.
`static String` | `IMPORT_EXT` File menu: name of group for extra Import-like actions (value `"import.ext"`).
`static String` | `LAUNCH_EXT` Launch menu: name of group for launching additional windows.
`static String` | `M_EDIT` Name of standard Edit menu (value `"edit"`).
`static String` | `M_FILE` Name of standard File menu (value `"file"`).
`static String` | `M_HELP` Name of standard Help menu (value `"help"`).
`static String` | `M_LAUNCH` Name of Launch window menu (value `"launch"`).
`static String` | `M_NAVIGATE` Name of standard Navigate menu (value `"navigate"`).
`static String` | `M_PROJECT` Name of standard Project menu (value `"project"`).
`static String` | `M_VIEW` Deprecated. Since 3.0. This is no longer used.
`static String` | `M_WINDOW` Name of standard Window menu (value `"window"`).
`static String` | `M_WORKBENCH` Deprecated. Since 3.0. This is no longer used.
`static String` | `MB_ADDITIONS` Name of group for adding new top-level menus (value `"additions"`).
`static String` | `MENU_PREFIX` [Issue: MENU_PREFIX is "".
`static String` | `MOVE` Deprecated. in 3.0. Use `ActionFactory.MOVE.getId()` instead.
`static String` | `MRU` File menu: name of "Most Recently Used File" group.
`static String` | `NAV_END` Navigate menu: name of group for end of menu (value `"navEnd"`).
`static String` | `NAV_START` Navigate menu: name of group for start of menu (value `"navStart"`).
`static String` | `NEW` Deprecated. in 3.0. Use `org.eclipse.ui.ActionFactory.NEW.getId()` instead.
`static String` | `NEW_EXT` File menu: name of group for extra New-like actions (value `"new.ext"`).
`static String` | `NEW_GROUP` Group ids for file toolbar groups
`static String` | `NEXT` Deprecated. in 3.0. Use `ActionFactory.NEXT.getId()` instead.
`static String` | `OPEN_EXT` File and Navigate menu: name of group for extra Open actions (value `"open.ext"`).
`static String` | `OPEN_PROJECT` Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.OPEN_PROJECT.getId()` instead.
`static String` | `PASTE` Deprecated. in 3.0. Use `ActionFactory.PASTE.getId()` instead.
`static String` | `PIN_GROUP` Group ids for navigate toolbar groups.
`static String` | `PREVIOUS` Deprecated. in 3.0. Use `ActionFactory.PREVIOUS.getId()` instead.
`static String` | `PRINT` Deprecated. in 3.0. Use `ActionFactory.PRINT.getId()` instead.
`static String` | `PRINT_EXT` File menu: name of group for extra Print-like actions (value `"print.ext"`).
`static String` | `PROJ_END` Project menu: name of group for start of menu (value `"projEnd"`).
`static String` | `PROJ_START` Project menu: name of group for start of menu (value `"projStart"`).
`static String` | `PROPERTIES` Deprecated. in 3.0. Use `ActionFactory.PROPERTIES.getId()` instead.
`static String` | `QUIT` Deprecated. in 3.0. Use `ActionFactory.QUIT.getId()` instead.
`static String` | `REBUILD_ALL` Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.REBUILD_ALL.getId()` instead.
`static String` | `REBUILD_PROJECT` Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.REBUILD_PROJECT.getId()` instead.
`static String` | `REDO` Deprecated. in 3.0. Use `ActionFactory.REDO.getId()` instead.
`static String` | `REFRESH` Deprecated. in 3.0. Use `ActionFactory.REFRESH.getId()` instead.
`static String` | `RENAME` Deprecated. in 3.0. Use `ActionFactory.RENAME.getId()` instead.
`static String` | `REVERT` Deprecated. in 3.0. Use `ActionFactory.REVERT.getId()` instead.
`static String` | `SAVE` Deprecated. in 3.0. Use `ActionFactory.SAVE.getId()` instead.
`static String` | `SAVE_ALL` Deprecated. in 3.0. Use `ActionFactory.SAVE_ALL.getId()` instead.
`static String` | `SAVE_AS` Deprecated. in 3.0. Use `ActionFactory.SAVE_AS.getId()` instead.
`static String` | `SAVE_EXT` File menu: name of group for extra Save-like actions (value `"save.ext"`).
`static String` | `SAVE_GROUP`
`static String` | `SELECT_ALL` Deprecated. in 3.0. Use `ActionFactory.SELECT_ALL.getId()` instead.
`static String` | `SEP` [Issue: SEP is "/".
`static String` | `SHOW_EXT` Navigate menu: name of group for extra Show actions (value `"show.ext"`).
`static String` | `SHOW_IN` Deprecated.
`static String` | `SYNC_EDITOR` Deprecated. this action will be removed soon; use SHOW_IN instead
`static String` | `TOOLBAR_FILE` Workbench toolbar id for file toolbar group.
`static String` | `TOOLBAR_NAVIGATE` Workbench toolbar id for navigate toolbar group.
`static String` | `UNDO` Deprecated. in 3.0. Use `ActionFactory.UNDO.getId()` instead.
`static String` | `UNDO_EXT` Edit menu: name of group for extra Undo-like actions (value `"undo.ext"`).
`static String` | `UP` Navigate menu: name of standard Up global action (value `"up"`).
`static String` | `VIEW_EXT` View menu: name of group for additional view-like items.
`static String` | `WB_END` Workbench menu: name of group for end of menu (value `"wbEnd"`).
`static String` | `WB_START` Workbench menu: name of group for start of menu (value `"wbStart"`).
`static String` | `WINDOW_EXT` Window menu: name of group for additional window-like items.

Field Detail

### MENU_PREFIX

    public static final String MENU_PREFIX

  [Issue: MENU_PREFIX is "". It is used to prefix some of the other constants. There doesn't seem to be much point for this. Recommend deleting it. ]

  See Also:
    Constant Field Values

### SEP

    public static final String SEP

  [Issue: SEP is "/". It is not used anywhere. Recommend deleting it.]

  See Also:
    Constant Field Values

### M_FILE

    public static final String M_FILE

  Name of standard File menu (value `"file"`).

  See Also:
    Constant Field Values

### M_EDIT

    public static final String M_EDIT

  Name of standard Edit menu (value `"edit"`).

  See Also:
    Constant Field Values

### M_VIEW

    public static final String M_VIEW

  Deprecated. Since 3.0. This is no longer used.

  Name of standard View menu (value `"view"`).

  See Also:
    Constant Field Values

### M_WORKBENCH

    public static final String M_WORKBENCH

  Deprecated. Since 3.0. This is no longer used.

  Name of standard Workbench menu (value `"workbench"`).

  See Also:
    Constant Field Values

### M_NAVIGATE

    public static final String M_NAVIGATE

  Name of standard Navigate menu (value `"navigate"`).

  See Also:
    Constant Field Values

### M_PROJECT

    public static final String M_PROJECT

  Name of standard Project menu (value `"project"`).

  See Also:
    Constant Field Values

### M_WINDOW

    public static final String M_WINDOW

  Name of standard Window menu (value `"window"`).

  See Also:
    Constant Field Values

### M_LAUNCH

    public static final String M_LAUNCH

  Name of Launch window menu (value `"launch"`).

  See Also:
    Constant Field Values

### M_HELP

    public static final String M_HELP

  Name of standard Help menu (value `"help"`).

  See Also:
    Constant Field Values

### MB_ADDITIONS

    public static final String MB_ADDITIONS

  Name of group for adding new top-level menus (value `"additions"`).

  See Also:
    Constant Field Values

### FILE_START

    public static final String FILE_START

  File menu: name of group for start of menu (value `"fileStart"`).

  See Also:
    Constant Field Values

### FILE_END

    public static final String FILE_END

  File menu: name of group for end of menu (value `"fileEnd"`).

  See Also:
    Constant Field Values

### NEW

    public static final String NEW

  Deprecated. in 3.0. Use `org.eclipse.ui.ActionFactory.NEW.getId()` instead.

  File menu: name of standard New action (value `"new"`).

  See Also:
    Constant Field Values

### NEW_EXT

    public static final String NEW_EXT

  File menu: name of group for extra New-like actions (value `"new.ext"`).

  See Also:
    Constant Field Values

### CLOSE

    public static final String CLOSE

  Deprecated. in 3.0. Use `ActionFactory.CLOSE.getId()` instead.

  File menu: name of standard Close action (value `"close"`).

  See Also:
    Constant Field Values

### CLOSE_ALL

    public static final String CLOSE_ALL

  Deprecated. in 3.0. Use `ActionFactory.CLOSE_ALL.getId()` instead.

  File menu: name of standard Close All action (value `"closeAll"`).

  See Also:
    Constant Field Values

### CLOSE_EXT

    public static final String CLOSE_EXT

  File menu: name of group for extra Close-like actions (value `"close.ext"`).

  See Also:
    Constant Field Values

### SAVE

    public static final String SAVE

  Deprecated. in 3.0. Use `ActionFactory.SAVE.getId()` instead.

  File menu: name of standard Save action (value `"save"`).

  See Also:
    Constant Field Values

### SAVE_AS

    public static final String SAVE_AS

  Deprecated. in 3.0. Use `ActionFactory.SAVE_AS.getId()` instead.

  File menu: name of standard Save As action (value `"saveAs"`).

  See Also:
    Constant Field Values

### SAVE_ALL

    public static final String SAVE_ALL

  Deprecated. in 3.0. Use `ActionFactory.SAVE_ALL.getId()` instead.

  File menu: name of standard Save All action (value `"saveAll"`).

  See Also:
    Constant Field Values

### SAVE_EXT

    public static final String SAVE_EXT

  File menu: name of group for extra Save-like actions (value `"save.ext"`).

  See Also:
    Constant Field Values

### PRINT

    public static final String PRINT

  Deprecated. in 3.0. Use `ActionFactory.PRINT.getId()` instead.

  File menu: name of standard Print global action (value `"print"`).

  See Also:
    Constant Field Values

### PRINT_EXT

    public static final String PRINT_EXT

  File menu: name of group for extra Print-like actions (value `"print.ext"`).

  Since:
    3.0
  See Also:
    Constant Field Values

### IMPORT

    public static final String IMPORT

  Deprecated. in 3.0. Use `org.eclipse.ui.ActionFactory.IMPORT.getId()` instead.

  File menu: name of standard Import action (value `"import"`).

  See Also:
    Constant Field Values

### EXPORT

    public static final String EXPORT

  Deprecated. in 3.0. Use `org.eclipse.ui.ActionFactory.EXPORT.getId()` instead.

  File menu: name of standard Export action (value `"export"`).

  See Also:
    Constant Field Values

### IMPORT_EXT

    public static final String IMPORT_EXT

  File menu: name of group for extra Import-like actions (value `"import.ext"`).

  See Also:
    Constant Field Values

### MRU

    public static final String MRU

  File menu: name of "Most Recently Used File" group. (value `"mru"`).

  See Also:
    Constant Field Values

### QUIT

    public static final String QUIT

  Deprecated. in 3.0. Use `ActionFactory.QUIT.getId()` instead.

  File menu: name of standard Quit action (value `"quit"`).

  See Also:
    Constant Field Values

### EDIT_START

    public static final String EDIT_START

  Edit menu: name of group for start of menu (value `"editStart"`).

  See Also:
    Constant Field Values

### EDIT_END

    public static final String EDIT_END

  Edit menu: name of group for end of menu (value `"editEnd"`).

  See Also:
    Constant Field Values

### UNDO

    public static final String UNDO

  Deprecated. in 3.0. Use `ActionFactory.UNDO.getId()` instead.

  Edit menu: name of standard Undo global action (value `"undo"`).

  See Also:
    Constant Field Values

### REDO

    public static final String REDO

  Deprecated. in 3.0. Use `ActionFactory.REDO.getId()` instead.

  Edit menu: name of standard Redo global action (value `"redo"`).

  See Also:
    Constant Field Values

### UNDO_EXT

    public static final String UNDO_EXT

  Edit menu: name of group for extra Undo-like actions (value `"undo.ext"`).

  See Also:
    Constant Field Values

### CUT

    public static final String CUT

  Deprecated. in 3.0. Use `ActionFactory.CUT.getId()` instead.

  Edit menu: name of standard Cut global action (value `"cut"`).

  See Also:
    Constant Field Values

### COPY

    public static final String COPY

  Deprecated. in 3.0. Use `ActionFactory.COPY.getId()` instead.

  Edit menu: name of standard Copy global action (value `"copy"`).

  See Also:
    Constant Field Values

### PASTE

    public static final String PASTE

  Deprecated. in 3.0. Use `ActionFactory.PASTE.getId()` instead.

  Edit menu: name of standard Paste global action (value `"paste"`).

  See Also:
    Constant Field Values

### CUT_EXT

    public static final String CUT_EXT

  Edit menu: name of group for extra Cut-like actions (value `"cut.ext"`).

  See Also:
    Constant Field Values

### DELETE

    public static final String DELETE

  Deprecated. in 3.0. Use `ActionFactory.DELETE.getId()` instead.

  Edit menu: name of standard Delete global action (value `"delete"`).

  See Also:
    Constant Field Values

### FIND

    public static final String FIND

  Deprecated. in 3.0. Use `ActionFactory.FIND.getId()` instead.

  Edit menu: name of standard Find global action (value `"find"`).

  See Also:
    Constant Field Values

### FIND_EXT

    public static final String FIND_EXT

  Edit menu: name of group for extra Find-like actions (value `"find.ext"`).

  See Also:
    Constant Field Values

### SELECT_ALL

    public static final String SELECT_ALL

  Deprecated. in 3.0. Use `ActionFactory.SELECT_ALL.getId()` instead.

  Edit menu: name of standard Select All global action (value `"selectAll"`).

  See Also:
    Constant Field Values

### BOOKMARK

    public static final String BOOKMARK

  Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.BOOKMARK.getId()` instead.

  Edit menu: name of standard Add Bookmark global action (value `"bookmark"`).

  See Also:
    Constant Field Values

### ADD_TASK

    public static final String ADD_TASK

  Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.ADD_TASK.getId()` instead.

  Edit menu: name of standard Add Task global action (value `"addTask"`).

  See Also:
    Constant Field Values

### ADD_EXT

    public static final String ADD_EXT

  Edit menu: name of group for extra Add-like actions (value `"add.ext"`).

  See Also:
    Constant Field Values

### WB_START

    public static final String WB_START

  Workbench menu: name of group for start of menu (value `"wbStart"`).

  See Also:
    Constant Field Values

### WB_END

    public static final String WB_END

  Workbench menu: name of group for end of menu (value `"wbEnd"`).

  See Also:
    Constant Field Values

### BUILD_EXT

    public static final String BUILD_EXT

  Workbench menu: name of group for extra Build-like actions (value `"build.ext"`).

  See Also:
    Constant Field Values

### BUILD

    public static final String BUILD

  Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.BUILD.getId()` instead.

  Workbench menu: name of standard Build action (value `"build"`).

  See Also:
    Constant Field Values

### REBUILD_ALL

    public static final String REBUILD_ALL

  Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.REBUILD_ALL.getId()` instead.

  Workbench menu: name of standard Rebuild All action (value `"rebuildAll"`).

  See Also:
    Constant Field Values

### TOOLBAR_FILE

    public static final String TOOLBAR_FILE

  Workbench toolbar id for file toolbar group.

  Since:
    2.1
  See Also:
    Constant Field Values

### TOOLBAR_NAVIGATE

    public static final String TOOLBAR_NAVIGATE

  Workbench toolbar id for navigate toolbar group.

  Since:
    2.1
  See Also:
    Constant Field Values

### PIN_GROUP

    public static final String PIN_GROUP

  Group ids for navigate toolbar groups.

  Since:
    2.1
  See Also:
    Constant Field Values

### HISTORY_GROUP

    public static final String HISTORY_GROUP

See Also:
  Constant Field Values

### NEW_GROUP

    public static final String NEW_GROUP

  Group ids for file toolbar groups

  Since:
    2.1
  See Also:
    Constant Field Values

### SAVE_GROUP

    public static final String SAVE_GROUP

See Also:
  Constant Field Values

### BUILD_GROUP

    public static final String BUILD_GROUP

See Also:
  Constant Field Values

### GROUP_MANAGING

    public static final String GROUP_MANAGING

  Pop-up menu: name of group for Managing actions (value `"group.managing"`).

  See Also:
    Constant Field Values

### GROUP_REORGANIZE

    public static final String GROUP_REORGANIZE

  Pop-up menu: name of group for Reorganize actions (value `"group.reorganize"`).

  See Also:
    Constant Field Values

### GROUP_ADD

    public static final String GROUP_ADD

  Pop-up menu: name of group for Add actions (value `"group.add"`).

  See Also:
    Constant Field Values

### GROUP_FILE

    public static final String GROUP_FILE

  Pop-up menu: name of group for File actions (value `"group.file"`).

  See Also:
    Constant Field Values

### GROUP_SHOW_IN

    public static final String GROUP_SHOW_IN

  Pop-up menu: name of group for Show In actions (value `"group.showIn"`).

  Since:
    2.1
  See Also:
    Constant Field Values

### GROUP_APP

    public static final String GROUP_APP

  Coolbar: name of group for application created actions

  Since:
    3.0
  See Also:
    Constant Field Values

### GROUP_EDITOR

    public static final String GROUP_EDITOR

  Toolbar: name of group for editor action bars.

  See Also:
    Constant Field Values

### VIEW_EXT

    public static final String VIEW_EXT

  View menu: name of group for additional view-like items. (value `"additions"`).

  See Also:
    Constant Field Values

### WINDOW_EXT

    public static final String WINDOW_EXT

  Window menu: name of group for additional window-like items. (value `"additions"`).

  See Also:
    Constant Field Values

### LAUNCH_EXT

    public static final String LAUNCH_EXT

  Launch menu: name of group for launching additional windows. (value `"additions"`).

  See Also:
    Constant Field Values

### REVERT

    public static final String REVERT

  Deprecated. in 3.0. Use `ActionFactory.REVERT.getId()` instead.

  File menu: name of standard Revert global action (value `"revert"`).

  See Also:
    Constant Field Values

### REFRESH

    public static final String REFRESH

  Deprecated. in 3.0. Use `ActionFactory.REFRESH.getId()` instead.

  File menu: name of standard Refresh global action (value `"refresh"`).

  See Also:
    Constant Field Values

### PROPERTIES

    public static final String PROPERTIES

  Deprecated. in 3.0. Use `ActionFactory.PROPERTIES.getId()` instead.

  File menu: name of standard Properties global action (value `"properties"`).

  See Also:
    Constant Field Values

### MOVE

    public static final String MOVE

  Deprecated. in 3.0. Use `ActionFactory.MOVE.getId()` instead.

  Edit menu: name of standard Move global action (value `"move"`).

  See Also:
    Constant Field Values

### RENAME

    public static final String RENAME

  Deprecated. in 3.0. Use `ActionFactory.RENAME.getId()` instead.

  Edit menu: name of standard Rename global action (value `"rename"`).

  See Also:
    Constant Field Values

### NAV_START

    public static final String NAV_START

  Navigate menu: name of group for start of menu (value `"navStart"`).

  See Also:
    Constant Field Values

### NAV_END

    public static final String NAV_END

  Navigate menu: name of group for end of menu (value `"navEnd"`).

  See Also:
    Constant Field Values

### OPEN_EXT

    public static final String OPEN_EXT

  File and Navigate menu: name of group for extra Open actions (value `"open.ext"`).

  See Also:
    Constant Field Values

### SHOW_EXT

    public static final String SHOW_EXT

  Navigate menu: name of group for extra Show actions (value `"show.ext"`).

  See Also:
    Constant Field Values

### GO_INTO

    public static final String GO_INTO

  Navigate menu: name of standard Go Into global action (value `"goInto"`).

  See Also:
    Constant Field Values

### GO_TO

    public static final String GO_TO

  Navigate menu: name of standard Go To submenu (value `"goTo"`).

  See Also:
    Constant Field Values

### GO_TO_RESOURCE

    public static final String GO_TO_RESOURCE

  Navigate menu: name of standard Go To Resource global action (value `"goToResource"`).

  See Also:
    Constant Field Values

### SYNC_EDITOR

    public static final String SYNC_EDITOR

  Deprecated. this action will be removed soon; use SHOW_IN instead

  Navigate menu: name of standard Sync With Editor global action (value `"syncEditor"`).

  See Also:
    Constant Field Values

### SHOW_IN

    public static final String SHOW_IN

  Deprecated.

  Navigate menu: name of standard Show In... action (value `"showIn"`).

  Since:
    2.1
  See Also:
    `ShowInAction`, Constant Field Values

### BACK

    public static final String BACK

  Deprecated. in 3.0. Use `ActionFactory.BACK.getId()` instead.

  Navigate menu: name of standard Back global action (value `"back"`).

  See Also:
    Constant Field Values

### FORWARD

    public static final String FORWARD

  Deprecated. in 3.0. Use `ActionFactory.FORWARD.getId()` instead.

  Navigate menu: name of standard Forward global action (value `"forward"`).

  See Also:
    Constant Field Values

### UP

    public static final String UP

  Navigate menu: name of standard Up global action (value `"up"`).

  See Also:
    Constant Field Values

### NEXT

    public static final String NEXT

  Deprecated. in 3.0. Use `ActionFactory.NEXT.getId()` instead.

  Navigate menu: name of standard Next global action (value `"next"`).

  See Also:
    Constant Field Values

### PREVIOUS

    public static final String PREVIOUS

  Deprecated. in 3.0. Use `ActionFactory.PREVIOUS.getId()` instead.

  Navigate menu: name of standard Up global action (value `"previous"`).

  See Also:
    Constant Field Values

### PROJ_START

    public static final String PROJ_START

  Project menu: name of group for start of menu (value `"projStart"`).

  See Also:
    Constant Field Values

### PROJ_END

    public static final String PROJ_END

  Project menu: name of group for start of menu (value `"projEnd"`).

  See Also:
    Constant Field Values

### BUILD_PROJECT

    public static final String BUILD_PROJECT

  Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.BUILD_PROJECT.getId()` instead.

  Project menu: name of standard Build Project global action (value `"buildProject"`).

  See Also:
    Constant Field Values

### REBUILD_PROJECT

    public static final String REBUILD_PROJECT

  Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.REBUILD_PROJECT.getId()` instead.

  Project menu: name of standard Rebuild Project global action (value `"rebuildProject"`).

  See Also:
    Constant Field Values

### OPEN_PROJECT

    public static final String OPEN_PROJECT

  Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.OPEN_PROJECT.getId()` instead.

  Project menu: name of standard Open Project global action (value `"openProject"`).

  See Also:
    Constant Field Values

### CLOSE_PROJECT

    public static final String CLOSE_PROJECT

  Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.CLOSE_PROJECT.getId()` instead.

  Project menu: name of standard Close Project global action (value `"closeProject"`).

  See Also:
    Constant Field Values

### HELP_START

    public static final String HELP_START

  Help menu: name of group for start of menu (value `"helpStart"`).

  See Also:
    Constant Field Values

### HELP_END

    public static final String HELP_END

  Help menu: name of group for end of menu (value `"helpEnd"`).

  See Also:
    Constant Field Values

### ABOUT

    public static final String ABOUT

  Deprecated. in 3.0. Use `org.eclipse.ui.ide.IDEActionFactory.ABOUT.getId()` instead.

  Help menu: name of standard About action (value `"about"`).

  See Also:
    Constant Field Values

### GLOBAL_ACTIONS

    public static final String[] GLOBAL_ACTIONS

  Deprecated. in 3.0

  Standard global actions in a workbench window.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.